A view describing how to display a collection of data as a line graph, pie chart, bar chart, etc.

### Hierarchy

- View
  - Graph

## Index

### Properties

- alias
- dataPoints
- defaultActionId
- displayQuadrantLines
- filterDataPoints
- graphType
- groupingDataPoint
- id
- identityDataPoint
- menu
- name
- sampleModel
- title
- type
- xAxisLabel
- xAxisRangeFrom
- xAxisRangeTo
- yAxisLabel
- yAxisRangeFrom
- yAxisRangeTo
- GRAPH_TYPE_CARTESIAN
- GRAPH_TYPE_PIE
- PLOT_TYPE_BAR
- PLOT_TYPE_BUBBLE
- PLOT_TYPE_LINE
- PLOT_TYPE_SCATTER
- PLOT_TYPE_STACKED

### Methods

- findMenuAt
- findTitle

## Properties

### alias

alias: string

Inherited from View.alias

- Defined in models/View.ts:12

### dataPoints

dataPoints: GraphDataPoint[]

- Defined in models/Graph.ts:20

### defaultActionId

defaultActionId: string

Inherited from View.defaultActionId

- Defined in models/View.ts:13

### displayQuadrantLines

displayQuadrantLines: boolean

- Defined in models/Graph.ts:17

### filterDataPoints

filterDataPoints: GraphDataPoint[]

- Defined in models/Graph.ts:21

### graphType

graphType: string

- Defined in models/Graph.ts:16

### groupingDataPoint

groupingDataPoint: GraphDataPoint

- Defined in models/Graph.ts:19

### id

id: string

Inherited from View.id

- Defined in models/View.ts:14

### identityDataPoint

identityDataPoint: GraphDataPoint

- Defined in models/Graph.ts:18

### menu

menu: Menu

Inherited from View.menu

- Defined in models/View.ts:16

### name

name: string

Inherited from View.name

- Defined in models/View.ts:15

### sampleModel

sampleModel: string

- Defined in models/Graph.ts:22

### title

title: string

Inherited from View.title

- Defined in models/View.ts:17

### type

type: ViewType

Inherited from View.type

- Defined in models/View.ts:18

### xAxisLabel

xAxisLabel: string

- Defined in models/Graph.ts:23

### xAxisRangeFrom

xAxisRangeFrom: number

- Defined in models/Graph.ts:24

### xAxisRangeTo

xAxisRangeTo: number

- Defined in models/Graph.ts:25

### yAxisLabel

yAxisLabel: string

- Defined in models/Graph.ts:26

### yAxisRangeFrom

yAxisRangeFrom: number

- Defined in models/Graph.ts:27

### yAxisRangeTo

yAxisRangeTo: number

- Defined in models/Graph.ts:28

### Static GRAPH_TYPE_CARTESIAN

GRAPH_TYPE_CARTESIAN: string = "GRAPH_TYPE_BAR"

- Defined in models/Graph.ts:8

### Static GRAPH_TYPE_PIE

GRAPH_TYPE_PIE: string = "GRAPH_TYPE_PIE"

- Defined in models/Graph.ts:9

### Static PLOT_TYPE_BAR

PLOT_TYPE_BAR: string = "BAR"

- Defined in models/Graph.ts:10

### Static PLOT_TYPE_BUBBLE

PLOT_TYPE_BUBBLE: string = "BUBBLE"

- Defined in models/Graph.ts:11

### Static PLOT_TYPE_LINE

PLOT_TYPE_LINE: string = "LINE"

- Defined in models/Graph.ts:12

### Static PLOT_TYPE_SCATTER

PLOT_TYPE_SCATTER: string = "SCATTER"

- Defined in models/Graph.ts:13

### Static PLOT_TYPE_STACKED

PLOT_TYPE_STACKED: string = "STACKED"

- Defined in models/Graph.ts:14

## Methods

### findMenuAt

- findMenuAt(actionId: string): Menu

- Inherited from View.findMenuAt

  - Defined in models/View.ts:49

  Find a menu def on this View with the given actionId

  #### Parameters

  - ##### actionId: string

  #### Returns Menu

### findTitle

- findTitle(): string

- Inherited from View.findTitle

  - Defined in models/View.ts:34

  Find the title for this Pane

  #### Returns string

Generated using TypeDoc